%include %{_rpmconfigdir}/macros.python3

Name: python3-ibm_db
Version: 2.0.5.12
Release: 0
License: Apache-2.0
Summary: Python support for IBM Db2
Url: https://github.com/ibmdb/python-ibmdb
Source: https://github.com/kadler/python-ibmdb/archive/%{version}.zip

BuildRequires: python3-devel
BuildRequires: python3-pip
BuildRequires: sqlcli-devel

BuildRequires: python3-six

Requires: python3-six

%description
Python support for IBM Db2

%prep
%setup -q -n python-ibmdb-%{version}

%build
cd IBM_DB/ibm_db

export CFLAGS="-I%{_includedir}/cli"

python%{py_ver} setup.py bdist_wheel

%install
cd IBM_DB/ibm_db

pip%{py_ver} install --no-index --no-compile --root %{buildroot} dist/*.whl

# TODO: this should be fixed in the setup.py to not install this stuff
rm %{buildroot}%{_prefix}/CHANGES
rm %{buildroot}%{_prefix}/LICENSE
rm %{buildroot}%{_prefix}/README
rm %{buildroot}%{_prefix}/config.py.sample

rm -r %{buildroot}%{py_sitedir}/test*

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/ibm_db*

%changelog
* Mon Dec 16 2019 Kevin Adler <kadler@us.ibm.com>
- Upgrade to 2.0.5.12
- Use sqlcli-devel instead of our own header files

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Add missing BuildRequires for six

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Ensure python packages have necessary dependencies listed

* Wed Nov 28 2018 - Kevin Adler <kadler@us.ibm.com>
- Update to 2.0.5.9

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Set INSTALLER to be "rpm" instead of "pip"
- Add --no-index to pip, so it doesn't attempt to connect to the internet

* Thu Aug 02 2018 - Kevin Adler <kadler@us.ibm.com>
- Update build requirements

* Thu Aug 02 2018 - Kevin Adler <kadler@us.ibm.com>
- Update to 2.0.5.8 for next() fix

* Thu Jul 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Fix description and license

* Fri Jun 08 2018 - Kevin Adler <kadler@us.ibm.com>
- Update to 2.0.5.7

* Tue May 08 2018 - Kevin Adler <kadler@us.ibm.com>
- Define PASE macro because code doesn't use __PASE__ yet :(

* Mon May 07 2018 - Kevin Adler <kadler@us.ibm.com>
- Add python3-devel build require

* Mon May 07 2018 - Kevin Adler <kadler@us.ibm.com>
- Update 2.0.5.6 to fix set_option

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix version

* Tue Nov 07 2017 - Kevin Adler <kadler@us.ibm.com>
- Initial package
